<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="SendMail">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="recipient" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="sender" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="subject" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="body" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="CCs" type="tns:ArrayOfString" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfString">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="SendMailResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="SendMailResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SendMailToMany">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="recipients" type="tns:ArrayOfString" />
            <s:element minOccurs="0" maxOccurs="1" name="sender" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="subject" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="body" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="CCs" type="tns:ArrayOfString" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SendMailToManyResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="SendMailToManyResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SendMailAttachment">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="fileAttach" type="tns:ArrayOfFileAttach" />
            <s:element minOccurs="0" maxOccurs="1" name="recipient" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="sender" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="subject" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="body" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="CopyP" type="tns:ArrayOfString" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfFileAttach">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="FileAttach" nillable="true" type="tns:FileAttach" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="FileAttach">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="FileByte" type="s:base64Binary" />
          <s:element minOccurs="0" maxOccurs="1" name="FileName" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="SendMailAttachmentResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="SendMailAttachmentResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="SendMailSoapIn">
    <wsdl:part name="parameters" element="tns:SendMail" />
  </wsdl:message>
  <wsdl:message name="SendMailSoapOut">
    <wsdl:part name="parameters" element="tns:SendMailResponse" />
  </wsdl:message>
  <wsdl:message name="SendMailToManySoapIn">
    <wsdl:part name="parameters" element="tns:SendMailToMany" />
  </wsdl:message>
  <wsdl:message name="SendMailToManySoapOut">
    <wsdl:part name="parameters" element="tns:SendMailToManyResponse" />
  </wsdl:message>
  <wsdl:message name="SendMailAttachmentSoapIn">
    <wsdl:part name="parameters" element="tns:SendMailAttachment" />
  </wsdl:message>
  <wsdl:message name="SendMailAttachmentSoapOut">
    <wsdl:part name="parameters" element="tns:SendMailAttachmentResponse" />
  </wsdl:message>
  <wsdl:portType name="ServiceSoap">
    <wsdl:operation name="SendMail">
      <wsdl:input message="tns:SendMailSoapIn" />
      <wsdl:output message="tns:SendMailSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="SendMailToMany">
      <wsdl:input message="tns:SendMailToManySoapIn" />
      <wsdl:output message="tns:SendMailToManySoapOut" />
    </wsdl:operation>
    <wsdl:operation name="SendMailAttachment">
      <wsdl:input message="tns:SendMailAttachmentSoapIn" />
      <wsdl:output message="tns:SendMailAttachmentSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ServiceSoap" type="tns:ServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="SendMail">
      <soap:operation soapAction="http://tempuri.org/SendMail" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SendMailToMany">
      <soap:operation soapAction="http://tempuri.org/SendMailToMany" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SendMailAttachment">
      <soap:operation soapAction="http://tempuri.org/SendMailAttachment" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="ServiceSoap12" type="tns:ServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="SendMail">
      <soap12:operation soapAction="http://tempuri.org/SendMail" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SendMailToMany">
      <soap12:operation soapAction="http://tempuri.org/SendMailToMany" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SendMailAttachment">
      <soap12:operation soapAction="http://tempuri.org/SendMailAttachment" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="Service">
    <wsdl:port name="ServiceSoap" binding="tns:ServiceSoap">
      <soap:address location="http://fbsvr:1867/service.asmx" />
    </wsdl:port>
    <wsdl:port name="ServiceSoap12" binding="tns:ServiceSoap12">
      <soap12:address location="http://fbsvr:1867/service.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>